.moduleContainer .selected a{
    color: #00b8e0;
}

.k-chk {
    width: 16px;
    height: 16px;
    border: 1px solid #666;
    border-radius: 4px;
    display: inline-block;
    margin: 2px;
}

body {
    font: 8pt Verdana,Arial,Helvetica,sans-serif;
    /*background: #000;*/
}

#multi {
    height: 100px;
}

.container {
    position: relative;
    display: inline-block;
    padding: 5px;
    /*background-color: black;*/
}

.target .lb-chart {
    display: inline-block;
    max-width: 100px;
    white-space: nowrap;
    text-overflow: '...';
    overflow: hidden;
    text-overflow: ellipsis;
    padding-right: 5px;
    color: #999;
}
.widget a.widget-remove {
    float: none;
    position: absolute;
    right: 13px;
}
/*
.box1-1 {
    position: relative;
    float: left;
    display: inline-block;
    width: 280px;
    height: 260px;
    margin: 5px;
    padding: 10px;
    padding-top: 5px;
}

.box1-2 {
    position: relative;
    float: left;
    display: inline-block;
    width: 592px;
    height: 260px;
    margin: 5px;
    padding: 10px;
    padding-top: 5px;
}

.box2-1 {
    position: relative;
    float: left;
    display: inline-block;
    width: 280px;
    height: 547px;
    margin: 5px;
    padding: 10px;
    padding-top: 5px;
}

.box1-3 {
    position: relative;
    float: left;
    display: inline-block;
    width: 903px;
    height: 260px;
    margin: 5px;
    padding: 10px;
    padding-top: 5px;
}

.box3-3 {
    position: relative;
    float: left;
    display: inline-block;
    width: 903px;
    height: 834px;
    margin: 5px;
    padding: 10px;
    padding-top: 5px;
}

.box3-1 {
    position: relative;
    float: left;
    display: inline-block;
    width: 280px;
    height: 834px;
    margin: 5px;
    padding: 10px;
    padding-top: 5px;
}

.box2-2 {
    position: relative;
    float: left;
    display: inline-block;
    width: 592px;
    height: 547px;
    margin: 5px;
    padding: 10px;
    padding-top: 5px;
}
*/
.target.box1-2 .lb-chart, .target.box2-2 .lb-chart {
    max-width: 150px;
}

.target.box1-3 .lb-chart {
    max-width: 200px;
}

.widget-title {
    float: left;
}

.widget.hint {
    background-color: #2b2b2b;
    border: 1px solid #333;
    padding: 1rem;
}

.widget.hint .widget-body *, .widget.hint .widget-footer {
    display: none;
}

.widget-range {
    float: right;
    font-size: 8pt;
    color: #999;
}

.widget-body {
    height: 215px;
    padding: 0;
	line-height: 1.7;
    overflow: hidden;
}

.widget-footer {
    padding-top: 4px;
}

.box2-2 .widget-body, .box2-1 .widget-body {
    /*height: 498px;*/
    height: 502px;
}

.box3-3 .widget-body, .box3-1 .widget-body {
    height: 788px;
}

.widget-filter {
    float: left;
    font-size: 10px;
    color: #999;
}

.widget-more {
    float: right;
    font-size: 8pt;
    color: #999;
}


.target, .func-cell {
    border: 1px solid #444;
    color: #999;
    transition: background-color .3s, filter .3s;
    -webkit-transition: background-color .3s, -webkit-filter .3s;
}

.func-cell {
    border: 1px dashed #666;
}

.target.active {
    border: 1px dashed #666;
}

u.k-font-icon {
    text-decoration: none;
}

.func-cell span.add {
    position: relative;
    top: 77px;
    left: 90px;
    width: 100px;
    height: 100px;
    border-radius: 100px;
    display: block;
    background-color: rgba(255, 255, 255, .3);
    cursor: pointer;
    transition: top .3s, width .3s, height .3s, border-radius .3s, left .3s, padding-top .3s;
    -webkit-transition: top .3s, width .3s, height .3s, border-radius .3s, left .3s, padding-top .3s;
    box-sizing: border-box;
    text-align: center;
    padding-top: 25px;
}

.func-cell:hover span.add {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: 0;
    padding-top: 102px;
}

.func-cell span.add u {
    font-size: 3rem;
}

.target.drag-over {
    background-color: #202020;
}

.target.has-widget {
    background-color: #202020;
    bottom: 0;
}

.target.has-widget a.target-remove {
    display: none;
}

.target.has-widget.drag-over {
    filter: blur(2px);
    -webkit-filter: blur(2px);
    -ms-filter: blur(2px);
}

.form-group {
    padding: 0;
    padding: 0;
}

.flotr-grid-label.flotr-grid-label-y {
    overflow: hidden;
    text-overflow: '...';
    text-overflow: ellipsis;
    white-space: nowrap;
    cursor: default;
}

.hbar .flotr-grid-label.flotr-grid-label-y {
    padding-left: 5px;
    text-align: left !important;
}

.flotr-grid-label, .flotr-dummy-div {
    font-family: Verdana,Arial,Helvetica,sans-serif;
    font-size:8pt;
    font-weight:normal;
}

.form-group label {
    display: block;
}

.form-group .k-textbox,
.form-group select {
    width: 100%;
    border-radius: 0;
}

/*.form-gorup .k-button-icon {
    width: 36px;
    height: 28px;
}
*/
.form-group .col {
    float: left;
    box-sizing: border-box;
    min-height: 1px;
}

.form-group .col-6 {
    width: 60%;
}

.form-group .col-5 {
    width: 50%;
}

.form-group .col-4 {
    width: 40%;
}

.form-group .col-3 {
    width: 30%;
}

.form-group .col-2 {
    width: 20%;
}

.form-group .col-1 {
    width: 10%;
}

.form-group .button-group button {
   margin-left: 6px;
   line-height: 100%;
   box-sizing: border-box;
   vertical-align: middle;
   /*border: none;*/
   height: 28px;
}

/*.form-group .button-group button:first-child {
   margin-left: 0;
}*/

.widget-footer {
    padding-bottom: 0;
}

.widget-dialog-footer, .dialog-footer {
    padding: .5rem 0.7rem .1rem;
    text-align: right;
}

.dialog-footer button.k-button, .dialog-footer button.k-button.fancybutton {
/*    padding: .3rem 1rem;
    text-shadow: 1px 1px 1px #000;
    line-height: 1rem;
    font-size: 11px;
*/}

.dialog-footer p, .dialog-footer .message {
    margin-bottom: 0;
    padding-left: 1rem;
    float: left;
}

.widget-footer a {
    text-transform: uppercase;
}

.k-hidden {
    display: none;
}

.main {
    /*background-color: black;*/
    color: #999;
    padding: 10px 10px 10px 0;
}

.left {
    float: left;
}

.dashboard {
    display: none;
}

.dashboard.active {
    display: block;
}

.form-group .radio-group label {
    display: inline-block;
    text-align: center;
    padding: 0 1rem;
}

.k-list .k-item.k-state-selected::before {
    content: '✔ ';
}


span.grids {
    display: block;
}

span.grids span {
    box-sizing: border-box;
    display: block;
    width: 25px;
    height: 25px;
    border-color: #999;
    border-width: 1px;
    border-style: solid solid solid none;
    float: left;
}

span.grids span:first-child {
    border-left: solid 1px #999;
}

span.grids span:last-child {
    border-right: solid 1px #999;
}

span.grids.grid-4 {
    width: 50px;
    border-bottom: solid 1px #999;
}

span.grids.grid-4 span {
    border-style: solid none none solid;
}
span.grids.grid-4 span:nth-child(2n) {
    border-right-style: solid;
}

span.grids.grid-2-h, span.grids.grid-3-1 {
    width: 25px;
}

span.grids.grid-2-h span:last-child {
    border-top: none;
    border-left: solid 1px #999;
}

span.grids.grid-3-3 {
    width: 75px;
    border-bottom: solid 1px #999;
}

span.grids.grid-3-3 span {
    border-style: solid none none solid;
}
span.grids.grid-3-3 span:nth-child(3n){
    border-right-style: solid;
}

span.grids.grid-3-1 span {
    border-style: solid solid none solid;
}
span.grids.grid-3-1 span:last-child {
    border-style: solid solid solid solid;
}


.widget-footer span.k-font-icon {
    font-size: 10px;
    vertical-align: baseline;
}

.spinner {
    position: relative;
	display: inline-block;
}

.box1-1 .spinner, .box1-2 .spinner, .box1-3 .spinner {
    top: 81px;
}

.box1-1 .spinner, .box2-1 .spinner, .box3-1 .spinner {
    left: 116px;
}

.box1-2 .spinner, .box2-2 .spinner {
    left: 272px;
}

.box1-3 .spinner, .box3-3 .spinner {
    left: 427px;
}

.box2-1 .spinner, .box2-2 .spinner {
    top: 225px;
}
.box3-3 .spinner, .box3-1 .spinner {
    top: 367px;
}

.frozen {
    width: 100%;
    height: 100%;
    background-color: transparent;
    position: fixed;
    cursor: wait;
    z-index: 20000;
    top: 0;
    left: 0;
}

.last.flotr-grid-label-x {
    /*text-align: left !important;*/
    text-overflow: ellipsis;
    -ms-text-overflow: ellipsis;
}

.widget-grid {
    width: 100%;
}

.widget-grid tbody tr {
    transition: background-color 0.3s;
    -webkit-transition: background-color 0.3s;
}

.widget-grid tbody tr td.numeric {
    text-align: right;
}

.widget-grid tbody tr:hover {
    background-color: #444;
}

table.widget-grid td {
	padding: 0 5px;
}

table.widget-grid tr td:first-child {
	padding-left: 0;
}

table.widget-grid tr td:last-child {
	padding-right: 0;
}

.widget-html {
    overflow-x: hidden;
    overflow-y: auto;
}

.widget-html .link {
    padding: 5px 0;
}

.tool_tip
{
    position: absolute;
    left: 0;
    top: 0;
    display: none;
    /*color:#000023; */
    overflow:hidden;
    /*background-color:#FFFFCA;*/
    border: solid  #555 1px;
    padding: 7px 10px;
    z-index: 9999;
    white-space:nowrap;
    font-size: 8pt;
    box-shadow: 3px 3px 3px rgba(102, 102, 102, 0.55);
    line-height: 16px;

  background-color: #2b2b2b;
  opacity: .9;
  color: #FFF;
}

.tool_tip table
{
    border-spacing: 0;
    border-collapse: collapse;
    padding: 1px 5px 1px 5px;
}

.tool_tip td
{
  padding: 0 5px 0 0;
}

.tool_tip.invert {
  background-color: #2b2b2b;
  opacity: .9;
  color: #FFF;
}
.tool_tip a {
    color: #FFF;
    text-decoration: none;
}

.form-group label {
    margin-bottom: 10px;
    padding: 0;
}

.form-group label.wrapper {
    margin-bottom: 0;
}

.form-group {
    padding-top: 5px;
    padding-bottom: 5px;
}

.widget-dialog-body .form-group .k-multiselect-wrap,
.widget-dialog-body .form-group .k-dropdown-wrap 
 {
    background-color: #333;
    background-image: none;
    border-radius: 0;
    border: solid 1px #666;
    box-sizing: border-box;
}

.widget-dialog-body .form-group .k-multiselect-wrap input.k-readonly {
    color: #CCC;
}
.line-x-label {
    display: inline-block;
    height: 14px;
    line-height: 14px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.ui-autocomplete {
    z-index: 20000;
    width: 360px;
}

.widget-grid .lnk.force:hover {
    color: #0098C0 !important;
}
td.flotr-legend-label {
    font-size: 6.5pt;
    padding: 2px;
}
td.flotr-legend-color-box {
    padding: 2px;
}

td.flotr-legend-color-box > div > div {
    width: 8px !important;
    height: 8px !important;
}

td.flotr-legend-color-box > div > div > div {
    width: 8px !important;
    height: 8px !important;
}
